Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.cfg
[Java] Class GrailsPlaceholderConfigurer

    java.lang.Object
      org.springframework.core.io.support.PropertiesLoaderSupport
          org.springframework.beans.factory.config.PropertyResourceConfigurer
              org.springframework.beans.factory.config.PlaceholderConfigurerSupport
                  org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
                      org.codehaus.groovy.grails.commons.cfg.GrailsPlaceholderConfigurer

    public class GrailsPlaceholderConfigurer
    extends org.springframework.beans.factory.config.PropertyPlaceholderConfigurer

Uses Grails' ConfigObject for place holder values.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
SYSTEM_PROPERTIES_MODE_NEVER, SYSTEM_PROPERTIES_MODE_FALLBACK, SYSTEM_PROPERTIES_MODE_OVERRIDE, DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE, XML_FILE_EXTENSION

Fields inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport
DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE, XML_FILE_EXTENSION

Constructor Summary
`GrailsPlaceholderConfigurer(GrailsApplication grailsApplication)`

Method Summary
`protected void` | `loadProperties(java.util.Properties props)`

Methods inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setSystemPropertiesModeName(java.lang.String), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setSystemPropertiesMode(int), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setSearchSystemEnvironment(boolean), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setBeanName(java.lang.String), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setPlaceholderPrefix(java.lang.String), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setPlaceholderSuffix(java.lang.String), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setValueSeparator(java.lang.String), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setNullValue(java.lang.String), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setIgnoreUnresolvablePlaceholders(boolean), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#getOrder(), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setOrder(int), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setProperties(java.util.Properties), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setLocation(org.springframework.core.io.Resource), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setPropertiesArray([Ljava.util.Properties;), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setLocations([Lorg.springframework.core.io.Resource;), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setLocalOverride(boolean), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setIgnoreResourceNotFound(boolean), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setFileEncoding(java.lang.String), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#setPropertiesPersister(org.springframework.util.PropertiesPersister), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#wait(), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#wait(long), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#wait(long, int), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#equals(java.lang.Object), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#toString(), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#hashCode(), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#getClass(), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#notify(), org.springframework.beans.factory.config.PropertyPlaceholderConfigurer#notifyAll()

Methods inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport
org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setBeanName(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPlaceholderPrefix(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPlaceholderSuffix(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setValueSeparator(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setNullValue(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setIgnoreUnresolvablePlaceholders(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#getOrder(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setOrder(int), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setProperties(java.util.Properties), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocation(org.springframework.core.io.Resource), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPropertiesArray([Ljava.util.Properties;), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocations([Lorg.springframework.core.io.Resource;), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocalOverride(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setIgnoreResourceNotFound(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setFileEncoding(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPropertiesPersister(org.springframework.util.PropertiesPersister), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(long), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(long, int), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#equals(java.lang.Object), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#toString(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#hashCode(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#getClass(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#notify(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#notifyAll()

Constructor Detail

### GrailsPlaceholderConfigurer

    public GrailsPlaceholderConfigurer(GrailsApplication grailsApplication)

Method Detail

### loadProperties

    @Override
    protected void loadProperties(java.util.Properties props)

Groovy Documentation